[libc++] Fix typo in REQUIRES that broke the GCC-tot bot configuration
authorLouis Dionne <ldionne@apple.com>
Wed, 4 Mar 2020 21:10:30 +0000 (16:10 -0500)
committerLouis Dionne <ldionne@apple.com>
Wed, 4 Mar 2020 21:11:08 +0000 (16:11 -0500)
Explained in https://reviews.llvm.org/D70117#inline-688897.

libcxx/test/libcxx/depr/depr.default.allocator/allocator.members/allocate.depr_in_cxx17.fail.cpp

index dada041..8a2090a 100644 (file)
@@ -14,7 +14,7 @@
 // Deprecated in C++17
 
 // UNSUPPORTED: c++98, c++03, c++11, c++14
-// REQUIERS: verify-support
+// REQUIRES: verify-support
 
 // MODULES_DEFINES: _LIBCPP_ENABLE_CXX20_REMOVED_ALLOCATOR_MEMBERS
 #define _LIBCPP_ENABLE_CXX20_REMOVED_ALLOCATOR_MEMBERS
@@ -27,5 +27,5 @@ int main(int, char**)
     std::allocator<int> a;
     TEST_IGNORE_NODISCARD a.allocate(3, nullptr); // expected-error {{'allocate' is deprecated}}
 
-  return 0;
+    return 0;
 }